import type { _NSError } from "../Foundation/NSError.js";
import type { _NSObject } from "../Foundation/NSObject.js";
import type { _NSString } from "../Foundation/NSString.js";
export declare class _MEExtensionManager extends _NSObject {
    static alloc(): _MEExtensionManager;
    static new(): _MEExtensionManager;
    init(): _MEExtensionManager;
    /**
     * This will call on Mail to reload the content rule list associated with the given identifier. Mail May throttle reloading the content blocker to once every few minutes.
     */
    static reloadContentBlockerWithIdentifier$completionHandler$(identifier: _NSString, completionHandler: ((error: _NSError) => void) | null): void;
    /**
     * This will call on Mail to reload the currently visible messages. Mail may throttle reloading visible messages.
     */
    static reloadVisibleMessagesWithCompletionHandler$(completionHandler: ((error: _NSError) => void) | null): void;
}
